#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define soname 1
%define libsuffix %(echo %{_lib}|%__sed 's/^lib//')
Name:           gpusd
Version:        1.4.0
Release:        2.2
Summary:        Superseded by hwsd: GPU Service Discovery
Group:          System/Daemons
License:        LGPL-2.1 and GPL-3.0
URL:            http://www.equalizergraphics.com/
Source0:        %{name}-%{version}.tar.gz
#PATCH-FIX-OPENSUSE DoxygenRule.diff avvissu@yandex.ru -- Creates a files or folders in the root directory
Patch0:         DoxygenRule.diff
#PATCH-FIX-OPENSUSE fix-64bit.diff avvissu@yandex.ru -- Patch to fix the libdir on 64-bit architecture
Patch1:         fix-64bit.diff
#PATCH-FIX-OPENSUSE date-and-time.diff avvissu@yandex.ru -- Do not compile in DATE and TIME
Patch2:         date-and-time.diff
BuildRequires:  gcc-c++ cmake pkg-config 
BuildRequires:  boost-devel glew-devel Lunchbox-devel 
BuildRequires:  libqt4-devel libX11-devel
BuildRequires:  doxygen graphviz
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/build-%{name}-%{version} 

%description
Library and daemon for the discovery and announcement of graphics processing 
units using ZeroConf. It enables auto-configuration of ad-hoc GPU clusters and 
multi-GPU machines

%package -n     lib%{name}%{soname}
Summary:        Local and remote GPU discovery: GPU-SD libraries 
Group:          System/Libraries
License:        LGPL-2.1 and GPL-3.0
 
%description -n lib%{name}%{soname}
Library and daemon for the discovery and announcement of graphics processing 
units using ZeroConf. It enables auto-configuration of ad-hoc GPU clusters and 
multi-GPU machines

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
License:        LGPL-2.1 and GPL-3.0
Requires:       lib%{name}%{soname} = %{version}-%{release}
Requires:       pkg-config

%description devel
This package contains, header files and libraries needed to
develop application that use %{name}

%package doc
Summary:	    Documentation for %{name}
Group:          Documentation/HTML
BuildArch:      noarch

%description doc
API Documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1 
%patch2 -p1

%build
cmake . \
      -DLIB_SUFFIX="%{libsuffix}" \
      -DCMAKE_BUILD_TYPE=release 
      
make %{?_smp_mflags}
make %{?_smp_mflags} doxygen

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_docdir}/lib%{name}%{soname}
mv %{buildroot}{%_datadir/{gpu-sd,%name}/doc/*,%_docdir/lib%name%soname}

%fdupes -s %{buildroot}%{_docdir}/lib%{name}%{soname}

%check
make test

%post -n lib%{name}%{soname} -p /sbin/ldconfig  
%postun -n lib%{name}%{soname} -p /sbin/ldconfig  

%files -n lib%{name}%{soname}
%defattr(-,root,root) 
%{_docdir}/lib%{name}%{soname}
%{_libdir}/lib%{name}*.so.*
%exclude %{_docdir}/lib%{name}%{soname}/API

%files devel
%defattr(-,root,root) 
%{_includedir}/%{name}
%{_libdir}/lib%{name}*.so
%dir %{_datadir}/cmake/Modules
%dir %{_datadir}/cmake/Modules/Findgpusd
%{_datadir}/cmake/Modules/*%{name}.cmake
%{_datadir}/cmake/Modules/Findgpusd/*.cmake

%files doc
%defattr(-,root,root) 
%{_docdir}/lib%{name}%{soname}/API

%changelog
* Mon May 18 2015 avvissu@yandex.ru
- Old package: use hwsd instead of gpusd
- Fix buil error: remove package with apps
* Fri Mar 14 2014 avvissu@yandex.ru
- [Fixed] Your file uses  __DATE and __TIME__ this causes the
  package to rebuild when not needed (date-and-time.diff)
* Mon Jan  6 2014 avvissu@yandex.ru
- Initial release
